> For the complete documentation index, see [llms.txt](https://handtracking.lightbuzz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://handtracking.lightbuzz.com/api-reference/finger/ring.md).

# Ring

{% hint style="warning" %}
The `Hand` class automatically instantiates the `Ring` class for you.
{% endhint %}

```csharp
public class Ring : Finger
```

Inherits [Finger ](/api-reference/finger.md)class.

### Constructors

| Name                                                                                                                 | Description                                                                        |
| -------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------- |
| Ring(Dictionary<[FingerJointType](/api-reference/fingerjointtype.md), [FingerJoint](/api-reference/fingerjoint.md)>) | Creates a new Ring object with the specified finger joint types and finger joints. |

### Properties

| Name | Type                                         | Description                                                |
| ---- | -------------------------------------------- | ---------------------------------------------------------- |
| MCP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The ring finger metacarpophalangeal joint.      |
| PIP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The ring finger proximal interphalangeal joint. |
| DIP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The ring finger distal interphalangeal joint.   |
| Tip  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The ring finger tip joint.                      |

### Example

The example shows how to manage a ring finger with the `Ring`class.

#### Create a ring finger with a constructor

```csharp
// Create a ring tip joint with the specified 2D position and 
// 3D position.
FingerJoint ringTip = new FingerJoint
(
    FingerJointType.RingTip,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

// Create a ring DIP joint with the specified 2D position and 
// 3D position.
FingerJoint ringDIP = new FingerJoint
(
    FingerJointType.RingDIP,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

 // Create a ring finger with the specified ring joints.
 Ring ring = new Ring
 (
     new Dictionary<FingerJointType, FingerJoint> 
     {
         { FingerJointType.RingTip, ringTip },
         { FingerJointType.RingDIP, ringDIP }
     }
 );
```

#### Get joint information from a ring finger

```csharp
// Get ring Tip joint.
FingerJoint ringTipNew = ring.Tip;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference/finger/ring.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
